/* Global variables declaring. */


#include "fs.h"
#include "file.h"
#include "fproc.h"
#include "inode.h"
#include "../share/message.h"


/* File System global variables. */
fproc_t *fp;        		/* pointer to caller's fproc struct */
fproc_t fproc[NR_PROCS];	/* per process information table */
filp_t filp[NR_FILPS];		/* filp table */

/* The parameters of the call are kept here. */
message_params_t message_params;	/* parameters of the input message */
int rd_phone; 				/* call number of RAMDISK driver task */
int con_phone;				/* call number of CONSOLE service */
char user_path[PATH_MAX];		/* storage for user path name */

/* Data needed for communication with RAMDISK. */
void *buffer;			/* buffer for storing data retrieved from RAMDISK */

/* The following variables are used for returning results to the caller. */
int err_code;            	/* temporary storage for error number */
int status;            	 	/* status of last disk i/o request */

